#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libxaw6 preinstallation
#
# Creation   :  2018-05-13 holbru
# Last update:  $Id: preinstall.sh 54956 2018-05-13 10:23:32Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libxaw6

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check libxaw 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/libxaw-files.txt ]
    then
        sed -i '/libXaw6.so/d' /etc/filelist.d/libxaw-files.txt
        sed -i '/libXaw.so.6/d' /etc/filelist.d/libxaw-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
